---
type: api
title: Bulk delete SLO definitions and their associated summary and rollup data.
description: Bulk delete SLO definitions and their associated summary and rollup data.  This endpoint initiates a bulk deletion operation for SLOs, which may take some time to complete.  The status of the operation can be checked using the `GET /api/slo/_bulk_delete/{taskId}` endpoint.
url: https://www.elastic.co/elastic/docs-builder/docs/4371/api/doc/kibana/v8/operation/operation-bulkdeleteop
resource: https://www.elastic.co/elastic/docs-builder/docs/4371/api/doc/kibana/v8/operation/operation-bulkdeleteop
products:
  - Kibana
---

# Bulk delete SLO definitions and their associated summary and rollup data.

- Server: `https://{kibana_url}`

## Paths

- `POST` `/s/{spaceId}/api/observability/slos/_bulk_delete`

- [Api key auth](/elastic/docs-builder/docs/4371/api/doc/kibana/v8/authentication#apikeyauth)
- [Basic auth](/elastic/docs-builder/docs/4371/api/doc/kibana/v8/authentication#basicauth)

#### Path Parameters

- `spaceId` (string)
  An identifier for the space. If `/s/` and the identifier are omitted from the path, the default space is used.

## Description

Bulk delete SLO definitions and their associated summary and rollup data.  This endpoint initiates a bulk deletion operation for SLOs, which may take some time to complete.  The status of the operation can be checked using the `GET /api/slo/_bulk_delete/{taskId}` endpoint.

## Request Body

`application/json`

- `list` ([] string) — required
  An array of SLO Definition id

## Responses

#### `200`

Successful response

`application/json`

- `taskId` (string)
  The taskId of the bulk delete operation
#### `400`

Bad request

`application/json`

- `error` (string)
- `message` (string)
- `statusCode` (number)
#### `401`

Unauthorized response

`application/json`

- `error` (string)
- `message` (string)
- `statusCode` (number)
#### `403`

Unauthorized response

`application/json`

- `error` (string)
- `message` (string)
- `statusCode` (number)
## Code Examples

#### Console

```console
POST /s/{spaceId}/api/observability/slos/_bulk_delete
```

#### curl

```curl
curl -X POST "https://{kibana_url}/s/{spaceId}/api/observability/slos/_bulk_delete" \
  -H "kbn-xsrf: true"
```

